Undeploy Petition extension
Closed, ResolvedPublic

Description

Extension:Petition is installed on foundation.wikimedia.org. We don't need it any longer: it was only ever used for a single petition about Wikipedia Zero and this program has been wound down. There's no plans to run any more petitions using this extension, and even if there were it wouldn't be on foundation.wikimedia.org since the site's purpose has changed.

Pcoombe created this task.Oct 26 2018, 6:38 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 26 2018, 6:38 PM
Varnent added a subscriber: Varnent.

I agree with this assessment. Thank you @Pcoombe! There may be other extensions enabled on foundation.wikimedia.org which are now no longer needed. I will make an effort to review them later, but invite others to do so as well. :)

The information in the database table petition_data should also be removed

That sounds like a dedicated task for DBA?

Change 472213 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] Drop the Petition extension: Part I - disable in production

https://gerrit.wikimedia.org/r/472213

Change 472214 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] Drop the Petition extension: Part II - disable in beta cluster

https://gerrit.wikimedia.org/r/472214

Change 472215 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] Drop the Petition extension: Part III - drop related user-rights

https://gerrit.wikimedia.org/r/472215

Change 472216 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] Drop the Petition extension: Part IV - Drop from CommonSettings

https://gerrit.wikimedia.org/r/472216

Change 472217 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] Drop the Petition extension: Part V - Drop from InitSettings

https://gerrit.wikimedia.org/r/472217

Change 472218 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] Drop the Petition extension: Part VI - Drop i18n load

https://gerrit.wikimedia.org/r/472218

Jdforrester-WMF renamed this task from Undeploy Petition extension and drop data to Undeploy Petition extension.
Jdforrester-WMF claimed this task.
Jdforrester-WMF updated the task description. (Show Details)

Change 472213 merged by jenkins-bot:
[operations/mediawiki-config@master] Drop the Petition extension: Part I - disable in production

https://gerrit.wikimedia.org/r/472213

Change 472214 merged by jenkins-bot:
[operations/mediawiki-config@master] Drop the Petition extension: Part II - disable in beta cluster

https://gerrit.wikimedia.org/r/472214

Change 472215 merged by jenkins-bot:
[operations/mediawiki-config@master] Drop the Petition extension: Part III - drop related user-rights

https://gerrit.wikimedia.org/r/472215

Mentioned in SAL (#wikimedia-operations) [2018-11-08T00:00:09Z] <jforrester@deploy1001> Synchronized wmf-config/InitialiseSettings.php: T208081 Disable the Petition extension in production (duration: 00m 52s)

Change 472216 merged by jenkins-bot:
[operations/mediawiki-config@master] Drop the Petition extension: Part IV - Drop from CommonSettings

https://gerrit.wikimedia.org/r/472216

Change 472217 merged by jenkins-bot:
[operations/mediawiki-config@master] Drop the Petition extension: Part V - Drop from InitSettings

https://gerrit.wikimedia.org/r/472217

Change 472218 merged by jenkins-bot:
[operations/mediawiki-config@master] Drop the Petition extension: Part VI - Drop i18n load

https://gerrit.wikimedia.org/r/472218

Mentioned in SAL (#wikimedia-operations) [2018-11-08T00:14:26Z] <jforrester@deploy1001> Synchronized wmf-config/CommonSettings.php: T208081 Drop the Petition extension from CommonSettings (duration: 00m 53s)

Mentioned in SAL (#wikimedia-operations) [2018-11-08T00:16:03Z] <jforrester@deploy1001> Synchronized wmf-config/InitialiseSettings.php: T208081 Drop the Petition extension from InitialiseSettings (duration: 00m 52s)

Mentioned in SAL (#wikimedia-operations) [2018-11-08T00:18:35Z] <jforrester@deploy1001> Synchronized wmf-config/extension-list: T208081 Drop the Petition extension from extension-list (duration: 00m 53s)

Jdforrester-WMF closed this task as Resolved.
Bawolff added a subscriber: Bawolff.EditedNov 8 2018, 3:05 AM

Another thing to consider - data stored by the petition - are we planning to keep that forever? Should it be deleted? It includes stuff that could be considered PII (Names, emails, country)

Edit: Sorry, didn't notice this was already discussed at T208979